prelude: |
  ary2 = 2.times.map(&:to_s).shuffle
  ary10 = 10.times.map(&:to_s).shuffle
  ary100 = 100.times.map(&:to_s).shuffle
  ary500 = 500.times.map(&:to_s).shuffle
  ary1000 = 1000.times.map(&:to_s).shuffle
  ary2000 = 2500.times.map(&:to_s).shuffle
  ary3000 = 2500.times.map(&:to_s).shuffle
  ary5000 = 5000.times.map(&:to_s).shuffle
  ary10000 = 10000.times.map(&:to_s).shuffle
  ary20000 = 20000.times.map(&:to_s).shuffle
  ary50000 = 50000.times.map(&:to_s).shuffle
  ary100000 = 100000.times.map(&:to_s).shuffle

benchmark:
  ary2.max: ary2.max
  ary10.max: ary10.max
  ary100.max: ary100.max
  ary500.max: ary500.max
  ary1000.max: ary1000.max
  ary2000.max: ary2000.max
  ary3000.max: ary3000.max
  ary5000.max: ary5000.max
  ary10000.max: ary10000.max
  ary20000.max: ary20000.max
  ary50000.max: ary50000.max
  ary100000.max: ary100000.max

loop_count: 10000

